import { MaybeElementAccessor } from '@solidjs-use/shared';

interface OnLongPressOptions {
    /**
     * Time in ms till `longpress` gets called
     *
     * @default 500
     */
    delay?: number;
    modifiers?: OnLongPressModifiers;
}
interface OnLongPressModifiers {
    stop?: boolean;
    once?: boolean;
    prevent?: boolean;
    capture?: boolean;
    self?: boolean;
}
/**
 * Listen for a long press on an element.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/onLongPress
 */
declare function onLongPress(target: MaybeElementAccessor, handler: (evt: PointerEvent) => void, options?: OnLongPressOptions): void;

export { OnLongPressModifiers, OnLongPressOptions, onLongPress };
