import * as solid_js from 'solid-js';
import { ConfigurableWindow, ConfigurableDocumentOrShadowRoot } from '../_configurable.js';

interface UseActiveElementOptions extends ConfigurableWindow, ConfigurableDocumentOrShadowRoot {
    /**
     * Search active element deeply inside shadow dom
     *
     * @default true
     */
    deep?: boolean;
}
/**
 * Reactive `document.activeElement`
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useActiveElement
 */
declare function useActiveElement<T extends HTMLElement>(options?: UseActiveElementOptions): solid_js.Accessor<T | null | undefined>;

export { UseActiveElementOptions, useActiveElement };
