import * as solid_js from 'solid-js';
import { ConfigurableNavigator } from '../_configurable.js';

interface BatteryManager extends EventTarget {
    charging: boolean;
    chargingTime: number;
    dischargingTime: number;
    level: number;
}
/**
 * Reactive Battery Status API.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useBattery
 */
declare function useBattery({ navigator }?: ConfigurableNavigator): {
    isSupported: solid_js.Accessor<boolean>;
    charging: solid_js.Accessor<boolean>;
    chargingTime: solid_js.Accessor<number>;
    dischargingTime: solid_js.Accessor<number>;
    level: solid_js.Accessor<number>;
};
type UseBatteryReturn = ReturnType<typeof useBattery>;

export { BatteryManager, UseBatteryReturn, useBattery };
