import { Signal } from 'solid-js';
import { MaybeAccessor, MaybeElementAccessor } from '@solidjs-use/shared';
import { ConfigurableWindow } from '../_configurable.js';

interface UseCssVarOptions extends ConfigurableWindow {
    initialValue?: string;
    /**
     * Use MutationObserver to monitor variable changes
     * @default false
     */
    observe?: boolean;
}
/**
 * Manipulate CSS variables.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useCssVar
 */
declare function useCssVar(prop: MaybeAccessor<string>, target?: MaybeElementAccessor, options?: UseCssVarOptions): Signal<string>;

export { UseCssVarOptions, useCssVar };
