import * as solid_js from 'solid-js';
import { ConfigurableEventFilter } from '@solidjs-use/shared';
import { ConfigurableWindow } from '../_configurable.js';

interface DeviceMotionOptions extends ConfigurableWindow, ConfigurableEventFilter {
}
/**
 * Reactive DeviceMotionEvent.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useDeviceMotion
 */
declare function useDeviceMotion(options?: DeviceMotionOptions): {
    acceleration: solid_js.Accessor<DeviceMotionEventAcceleration | null>;
    accelerationIncludingGravity: solid_js.Accessor<DeviceMotionEventAcceleration | null>;
    rotationRate: solid_js.Accessor<DeviceMotionEventRotationRate | null>;
    interval: solid_js.Accessor<number>;
};
type UseDeviceMotionReturn = ReturnType<typeof useDeviceMotion>;

export { DeviceMotionOptions, UseDeviceMotionReturn, useDeviceMotion };
