import * as solid_js from 'solid-js';
import { ConfigurableWindow } from '../_configurable.js';

/**
 * Reactive DeviceOrientationEvent.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useDeviceOrientation
 */
declare function useDeviceOrientation(options?: ConfigurableWindow): {
    isSupported: solid_js.Accessor<boolean>;
    isAbsolute: solid_js.Accessor<boolean>;
    alpha: solid_js.Accessor<number | null>;
    beta: solid_js.Accessor<number | null>;
    gamma: solid_js.Accessor<number | null>;
};
type UseDeviceOrientationReturn = ReturnType<typeof useDeviceOrientation>;

export { UseDeviceOrientationReturn, useDeviceOrientation };
