import * as solid_js from 'solid-js';
import { ConfigurableWindow } from '../_configurable.js';

/**
 * Reactively track `window.devicePixelRatio`.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useDevicePixelRatio
 */
declare function useDevicePixelRatio({ window }?: ConfigurableWindow): {
    pixelRatio: solid_js.Accessor<number>;
};
type UseDevicePixelRatioReturn = ReturnType<typeof useDevicePixelRatio>;

export { UseDevicePixelRatioReturn, useDevicePixelRatio };
