import { Accessor } from 'solid-js';
import { ConfigurableDocument } from '../_configurable.js';

/**
 * Reactively track `document.visibilityState`.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useDocumentVisibility
 */
declare function useDocumentVisibility({ document }?: ConfigurableDocument): Accessor<DocumentVisibilityState>;

export { useDocumentVisibility };
