import { Accessor, Setter } from 'solid-js';
import { MaybeAccessor } from '@solidjs-use/shared';

interface UseDropZoneReturn {
    files: Accessor<File[] | null>;
    setFiles: Setter<File[] | null>;
    isOverDropZone: Accessor<boolean>;
}
interface UseDropZoneOptions {
    onDrop?: (files: File[] | null, event: DragEvent) => void;
    onEnter?: (files: File[] | null, event: DragEvent) => void;
    onLeave?: (files: File[] | null, event: DragEvent) => void;
    onOver?: (files: File[] | null, event: DragEvent) => void;
}
/**
 * Create an zone where files can be dropped.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useDropZone
 */
declare function useDropZone(target: MaybeAccessor<HTMLElement | null | undefined>, options?: UseDropZoneOptions | UseDropZoneOptions['onDrop']): UseDropZoneReturn;

export { UseDropZoneOptions, UseDropZoneReturn, useDropZone };
