import { Accessor } from 'solid-js';
import { MaybeAccessor, Pausable } from '@solidjs-use/shared';
import { ConfigurableDocument } from '../_configurable.js';

interface UseElementByPointOptions<Multiple extends boolean = false> extends ConfigurableDocument {
    x: MaybeAccessor<number>;
    y: MaybeAccessor<number>;
    multiple?: MaybeAccessor<Multiple>;
    immediate?: boolean;
    interval?: 'requestAnimationFrame' | number;
}
interface UseElementByPointReturn<Multiple extends boolean = false> extends Pausable {
    isSupported: Accessor<boolean>;
    element: Accessor<Multiple extends true ? HTMLElement[] : HTMLElement | null>;
}
/**
 * Reactive element by point.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useElementByPoint
 */
declare function useElementByPoint<M extends boolean = false>(options: UseElementByPointOptions<M>): UseElementByPointReturn<M>;

export { UseElementByPointOptions, UseElementByPointReturn, useElementByPoint };
