import { Accessor } from 'solid-js';
import { MaybeAccessor } from '@solidjs-use/shared';
import { ConfigurableWindow } from '../_configurable.js';

interface UseElementHoverOptions extends ConfigurableWindow {
    delayEnter?: number;
    delayLeave?: number;
}
/**
 * Reactive element's hover state.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useElementHover
 */
declare function useElementHover(el: MaybeAccessor<EventTarget | null | undefined>, options?: UseElementHoverOptions): Accessor<boolean>;

export { UseElementHoverOptions, useElementHover };
