import * as solid_js from 'solid-js';
import { MaybeElementAccessor } from '@solidjs-use/shared';
import { UseResizeObserverOptions } from '../useResizeObserver/index.js';
import '../_configurable.js';

interface ElementSize {
    width: number;
    height: number;
}
/**
 * Reactive size of an HTML element.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useElementSize
 */
declare function useElementSize(target: MaybeElementAccessor, initialSize?: ElementSize, options?: UseResizeObserverOptions): {
    width: solid_js.Accessor<number>;
    height: solid_js.Accessor<number>;
};
type UseElementSizeReturn = ReturnType<typeof useElementSize>;

export { ElementSize, UseElementSizeReturn, useElementSize };
