import * as solid_js from 'solid-js';
import { MaybeAccessor, MaybeElementAccessor } from '@solidjs-use/shared';
import { ConfigurableWindow } from '../_configurable.js';

interface UseElementVisibilityOptions extends ConfigurableWindow {
    scrollTarget?: MaybeAccessor<HTMLElement | undefined | null>;
}
/**
 * Tracks the visibility of an element within the viewport.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useElementVisibility
 */
declare function useElementVisibility(element: MaybeElementAccessor, { window, scrollTarget }?: UseElementVisibilityOptions): solid_js.Accessor<boolean>;

export { UseElementVisibilityOptions, useElementVisibility };
