import * as solid_js from 'solid-js';

type UseEventSourceOptions = EventSourceInit;
/**
 * Reactive wrapper for EventSource.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useEventSource
 * @see https://developer.mozilla.org/en-US/docs/Web/API/EventSource/EventSource EventSource
 */
declare function useEventSource(url: string | URL, events?: string[], options?: UseEventSourceOptions): {
    eventSource: solid_js.Accessor<EventSource | null>;
    event: solid_js.Accessor<string | null>;
    data: solid_js.Accessor<string | null>;
    status: solid_js.Accessor<"OPEN" | "CONNECTING" | "CLOSED">;
    error: solid_js.Accessor<Event | null>;
    close: () => void;
};
type UseEventSourceReturn = ReturnType<typeof useEventSource>;

export { UseEventSourceOptions, UseEventSourceReturn, useEventSource };
