import { Signal, Accessor } from 'solid-js';
import { ConfigurableDocument } from '../_configurable.js';

interface UseFaviconOptions extends ConfigurableDocument {
    baseUrl?: string;
    rel?: string;
}
/**
 * Reactive favicon.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useFavicon
 */
declare function useFavicon(newIcon?: string | null | undefined | Signal<string | null | undefined>, options?: UseFaviconOptions): Signal<string | null | undefined>;
declare function useFavicon(newIcon: Accessor<string | null | undefined>, options?: UseFaviconOptions): Accessor<string | null | undefined>;
type UseFaviconReturn = ReturnType<typeof useFavicon>;

export { UseFaviconOptions, UseFaviconReturn, useFavicon };
