import { WritableComputedReturn } from '@solidjs-use/shared/solid-to-vue';
import { MaybeElementAccessor } from '@solidjs-use/shared';
import { ConfigurableWindow } from '../_configurable.js';

interface UseFocusOptions extends ConfigurableWindow {
    /**
     * Initial value. If set true, then focus will be set on the target
     *
     * @default false
     */
    initialValue?: boolean;
    /**
     * Replicate the :focus-visible behavior of CSS
     *
     * @default false
     */
    focusVisible?: boolean;
}
/**
 * Track or set the focus state of a DOM element.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useFocus
 */
declare function useFocus(target: MaybeElementAccessor, options?: UseFocusOptions): WritableComputedReturn<boolean>;

export { UseFocusOptions, useFocus };
