import { Accessor } from 'solid-js';
import { MaybeElementAccessor } from '@solidjs-use/shared';
import { ConfigurableWindow } from '../_configurable.js';

/**
 * Track if focus is contained within the target element.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useFocusWithin
 */
declare function useFocusWithin(target: MaybeElementAccessor, options?: ConfigurableWindow): Accessor<boolean>;

export { useFocusWithin };
