import { Accessor } from 'solid-js';

interface UseFpsOptions {
    /**
     * Calculate the FPS on every x frames.
     * @default 10
     */
    every?: number;
}
/**
 * Reactive FPS (frames per second).
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useFps
 */
declare function useFps(options?: UseFpsOptions): Accessor<number>;

export { UseFpsOptions, useFps };
