import * as solid_js from 'solid-js';
import { ConfigurableNavigator } from '../_configurable.js';

interface UseGeolocationOptions extends Partial<PositionOptions>, ConfigurableNavigator {
    immediate?: boolean;
}
/**
 * Reactive Geolocation API.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useGeolocation
 */
declare function useGeolocation(options?: UseGeolocationOptions): {
    isSupported: solid_js.Accessor<boolean>;
    coords: solid_js.Accessor<GeolocationCoordinates>;
    locatedAt: solid_js.Accessor<number | null>;
    error: solid_js.Accessor<GeolocationPositionError | null>;
    resume: () => void;
    pause: () => void;
};
type UseGeolocationReturn = ReturnType<typeof useGeolocation>;

export { UseGeolocationOptions, UseGeolocationReturn, useGeolocation };
