import * as solid_js from 'solid-js';
import { MaybeElementAccessor } from '@solidjs-use/shared';
import { ConfigurableWindow } from '../_configurable.js';

interface UseMutationObserverOptions extends MutationObserverInit, ConfigurableWindow {
}
/**
 * Watch for changes being made to the DOM tree.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useMutationObserver
 * @see https://developer.mozilla.org/en-US/docs/Web/API/MutationObserver MutationObserver MDN
 */
declare function useMutationObserver(target: MaybeElementAccessor, callback: MutationCallback, options?: UseMutationObserverOptions): {
    isSupported: solid_js.Accessor<boolean>;
    stop: () => void;
};
type UseMutationObserverReturn = ReturnType<typeof useMutationObserver>;

export { UseMutationObserverOptions, UseMutationObserverReturn, useMutationObserver };
