import { Accessor } from 'solid-js';
import { Pausable } from '@solidjs-use/shared';

interface UseNowOptions<Controls extends boolean> {
    /**
     * Expose more controls
     *
     * @default false
     */
    controls?: Controls;
    /**
     * Update interval, or use requestAnimationFrame
     *
     * @default requestAnimationFrame
     */
    interval?: 'requestAnimationFrame' | number;
}
/**
 * Reactive current Date instance.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useNow
 */
declare function useNow(options?: UseNowOptions<false>): Accessor<Date>;
declare function useNow(options: UseNowOptions<true>): {
    now: Accessor<Date>;
} & Pausable;
type UseNowReturn = ReturnType<typeof useNow>;

export { UseNowOptions, UseNowReturn, useNow };
