import { Accessor } from 'solid-js';
import { MaybeAccessor } from '@solidjs-use/shared';

type UseObjectUrlReturn = Accessor<string | undefined>;
type ObjectType = Blob | MediaSource | undefined;
interface UseObjectUrlOptions {
    object: MaybeAccessor<ObjectType>;
}
/**
 * Reactive URL representing an object.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useObjectUrl
 */
declare function useObjectUrl(object: MaybeAccessor<Blob | MediaSource | null | undefined>): Accessor<string | undefined>;

export { UseObjectUrlOptions, UseObjectUrlReturn, useObjectUrl };
