import * as solid_js from 'solid-js';
import { ConfigurableWindow } from '../_configurable.js';

type UsePerformanceObserverOptions = PerformanceObserverInit & ConfigurableWindow & {
    /**
     * Start the observer immediate.
     *
     * @default true
     */
    immediate?: boolean;
};
/**
 * Observe performance metrics.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/usePerformanceObserver
 */
declare function usePerformanceObserver(options: UsePerformanceObserverOptions, callback: PerformanceObserverCallback): {
    isSupported: solid_js.Accessor<boolean>;
    start: () => void;
    stop: () => void;
};

export { UsePerformanceObserverOptions, usePerformanceObserver };
