import * as solid_js from 'solid-js';
import { ConfigurableWindow } from '../_configurable.js';

type ColorSchemeType = 'dark' | 'light' | 'no-preference';
/**
 * Reactive prefers-color-scheme media query.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/usePreferredColorScheme
 */
declare function usePreferredColorScheme(options?: ConfigurableWindow): solid_js.Accessor<ColorSchemeType>;

export { ColorSchemeType, usePreferredColorScheme };
