import * as solid_js from 'solid-js';
import { ConfigurableWindow } from '../_configurable.js';

type ContrastType = 'more' | 'less' | 'custom' | 'no-preference';
/**
 * Reactive prefers-contrast media query.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/usePreferredContrast
 */
declare function usePreferredContrast(options?: ConfigurableWindow): solid_js.Accessor<ContrastType>;

export { ContrastType, usePreferredContrast };
