import * as solid_js from 'solid-js';
import { ConfigurableWindow } from '../_configurable.js';

type ReducedMotionType = 'reduce' | 'no-preference';
/**
 * Reactive prefers-reduced-motion media query.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/usePreferredReducedMotion
 */
declare function usePreferredReducedMotion(options?: ConfigurableWindow): solid_js.Accessor<ReducedMotionType>;

export { ReducedMotionType, usePreferredReducedMotion };
