import * as solid_js from 'solid-js';
import { ConfigurableWindow } from '../_configurable.js';

/**
 * Reactive screen orientation.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useScreenOrientation
 */
declare const useScreenOrientation: (options?: ConfigurableWindow) => {
    isSupported: solid_js.Accessor<boolean>;
    orientation: solid_js.Accessor<OrientationType | undefined>;
    angle: solid_js.Accessor<number>;
    lockOrientation: (type: OrientationLockType) => Promise<void>;
    unlockOrientation: () => void;
};
type UseScreenOrientationReturn = ReturnType<typeof useScreenOrientation>;

export { UseScreenOrientationReturn, useScreenOrientation };
