import * as solid_js from 'solid-js';

/**
 * Reactive `env(safe-area-inset-*)`
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useScreenSafeArea
 */
declare function useScreenSafeArea(): {
    top: solid_js.Accessor<string>;
    right: solid_js.Accessor<string>;
    bottom: solid_js.Accessor<string>;
    left: solid_js.Accessor<string>;
    update: () => void;
};

export { useScreenSafeArea };
