import { Signal } from 'solid-js';
import { MaybeAccessor } from '@solidjs-use/shared';

/**
 * Lock scrolling of the element.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useScrollLock
 */
declare function useScrollLock(element: MaybeAccessor<HTMLElement | SVGElement | Window | Document | null | undefined>, initialState?: boolean): Signal<boolean>;

export { useScrollLock };
