import * as solid_js from 'solid-js';
import { MaybeAccessor } from '@solidjs-use/shared';
import { ConfigurableNavigator } from '../_configurable.js';

interface UseShareOptions {
    title?: string;
    files?: File[];
    text?: string;
    url?: string;
}
/**
 * Reactive Web Share API.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useShare
 */
declare function useShare(shareOptions?: MaybeAccessor<UseShareOptions>, options?: ConfigurableNavigator): {
    isSupported: solid_js.Accessor<boolean>;
    share: (overrideOptions?: MaybeAccessor<UseShareOptions>) => Promise<void> | undefined;
};
type UseShareReturn = ReturnType<typeof useShare>;

export { UseShareOptions, UseShareReturn, useShare };
