import * as solid_js from 'solid-js';
import { ConfigurableWindow } from '../_configurable.js';

/**
 * Reactively track user text selection based on [`Window.getSelection`](https://developer.mozilla.org/en-US/docs/Web/API/Window/getSelection).
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useTextSelection
 */
declare function useTextSelection(options?: ConfigurableWindow): {
    text: solid_js.Accessor<string>;
    rects: solid_js.Accessor<DOMRect[]>;
    ranges: solid_js.Accessor<Range[]>;
    selection: solid_js.Accessor<Selection | null>;
};
type UseTextSelectionReturn = ReturnType<typeof useTextSelection>;

export { UseTextSelectionReturn, useTextSelection };
