import * as solid_js from 'solid-js';
import { ConfigurableNavigator, ConfigurableDocument } from '../_configurable.js';

type WakeLockType = 'screen';
interface WakeLockSentinel extends EventTarget {
    type: WakeLockType;
    released: boolean;
    release: () => Promise<void>;
}
type UseWakeLockOptions = ConfigurableNavigator & ConfigurableDocument;
/**
 * Reactive Screen Wake Lock API.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useWakeLock
 */
declare const useWakeLock: (options?: UseWakeLockOptions) => {
    isSupported: solid_js.Accessor<boolean>;
    isActive: solid_js.Accessor<boolean>;
    request: (type: WakeLockType) => Promise<void>;
    release: () => Promise<void>;
};
type UseWakeLockReturn = ReturnType<typeof useWakeLock>;

export { UseWakeLockOptions, UseWakeLockReturn, WakeLockSentinel, useWakeLock };
