import { Accessor } from 'solid-js';
import { ConfigurableWindow } from '../_configurable.js';

/**
 * Reactively track window focus with `window.onfocus` and `window.onblur`.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useWindowFocus
 */
declare function useWindowFocus({ window }?: ConfigurableWindow): Accessor<boolean>;

export { useWindowFocus };
