import * as solid_js from 'solid-js';
import { ConfigurableWindow } from '../_configurable.js';

/**
 * Reactive window scroll.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useWindowScroll
 */
declare function useWindowScroll({ window }?: ConfigurableWindow): {
    x: solid_js.Accessor<number>;
    y: solid_js.Accessor<number>;
};
type UseWindowScrollReturn = ReturnType<typeof useWindowScroll>;

export { UseWindowScrollReturn, useWindowScroll };
